Package org.apache.commons.jxpath

# Class JXPathContextFactoryConfigurationError

java.lang.Object
java.lang.Throwable
java.lang.Error
org.apache.commons.jxpath.JXPathContextFactoryConfigurationError

All Implemented Interfaces:
  `Serializable`

public class JXPathContextFactoryConfigurationError extends Error
Thrown when a problem with configuration with the `JXPathContextFactories` exists. This error will typically be thrown when the class of a factory specified in the system properties cannot be found or instantiated.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JXPathContextFactoryConfigurationError()`
  Constructs a new `JXPathContextFactoryConfigurationError` with no detail mesage.
  `JXPathContextFactoryConfigurationError(Exception cause)`
  Constructs a new `JXPathContextFactoryConfigurationError` with a given `Exception` base cause of the error.
  `JXPathContextFactoryConfigurationError(Exception cause, String msg)`
  Constructs a new `JXPathContextFactoryConfigurationError` with the given `Exception` base cause and detail message.
  `JXPathContextFactoryConfigurationError(String msg)`
  Constructs a new `JXPathContextFactoryConfigurationError` with the `String` specified as an error message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Exception`
  `getException()`
  Gets the actual exception (if any) that caused this exception to be raised.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JXPathContextFactoryConfigurationError

    public JXPathContextFactoryConfigurationError()
    Constructs a new `JXPathContextFactoryConfigurationError` with no detail mesage.

  - ### JXPathContextFactoryConfigurationError

    public JXPathContextFactoryConfigurationError(Exception cause)
    Constructs a new `JXPathContextFactoryConfigurationError` with a given `Exception` base cause of the error.
    Parameters:
      `cause` - The exception to be encapsulated in a JXPathContextFactoryConfigurationError.

  - ### JXPathContextFactoryConfigurationError

    public JXPathContextFactoryConfigurationError(Exception cause, String msg)
    Constructs a new `JXPathContextFactoryConfigurationError` with the given `Exception` base cause and detail message.
    Parameters:
      `cause` - The exception to be encapsulated in a JXPathContextFactoryConfigurationError
      `msg` - The detail message.

  - ### JXPathContextFactoryConfigurationError

    public JXPathContextFactoryConfigurationError(String msg)
    Constructs a new `JXPathContextFactoryConfigurationError` with the `String` specified as an error message.
    Parameters:
      `msg` - The error message for the exception.

- ## Method Details

  - ### getException

    public Exception getException()
    Gets the actual exception (if any) that caused this exception to be raised.
    Returns:
      The encapsulated exception, or null if there is none.